#pragma once

#include "CoreMinimal.h"
#include "ERewardType.h"
#include "EMysteryBoxCurrencyType.h"
#include "EProgressionType.h"
#include "MysteryBoxReward.generated.h"

USTRUCT(BlueprintType)
struct FMysteryBoxReward
{
	GENERATED_BODY()

public:
	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	ERewardType Type;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	EMysteryBoxCurrencyType CurrencyType;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	EProgressionType ProgressionType;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	int32 Amount;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	int32 Weighting;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	EMysteryBoxCurrencyType FallbackCurrencyType;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	int32 FallbackAmount;

public:
	DEADBYDAYLIGHT_API FMysteryBoxReward();
};

FORCEINLINE uint32 GetTypeHash(const FMysteryBoxReward) { return 0; }
